## ros-noetic-cob-msgs 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_msgs)
find_package(catkin REQUIRED COMPONENTS diagnostic_msgs message_generation std_msgs)

add_message_files(FILES
  AccessPoint.msg
  DashboardState.msg
  EmergencyStopState.msg
  Network.msg
  PowerState.msg
  SafetyControllerState.msg
  SiteSurvey.msg
)

generate_messages(DEPENDENCIES diagnostic_msgs std_msgs)

catkin_package(CATKIN_DEPENDS diagnostic_msgs message_runtime std_msgs)

=== debian/changelog ===
ros-noetic-cob-msgs (0.7.8-1buster) buster; urgency=high

  * Merge pull request #297 <https://github.com/ipa320/cob_common/issues/297> from floweisshardt/feature/power_state_connected
    add explicit power_state.connected
  * add explicit power_state.connected
  * Contributors: Felix Messmer, floweisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-msgs (0.7.7-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-msgs (0.7.6-1buster) buster; urgency=high

  * Merge pull request #292 <https://github.com/ipa320/cob_common/issues/292> from benmaidel/feature/add_ack_needed
    add ack_needed to SafetyControllerState
  * add ack_needed to SafetyControllerState
  * Merge pull request #291 <https://github.com/ipa320/cob_common/issues/291> from benmaidel/feature/safety_controller_state
    add SafetyControllerState message
  * add SafetyControllerState message
  * Contributors: Benjamin Maidel, Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-msgs (0.7.5-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-msgs (0.7.4-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-noetic-cob-msgs (0.7.3-1buster) buster; urgency=high

  * Merge pull request #288 <https://github.com/ipa320/cob_common/issues/288> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 25 Sep 2020 22:00:00 -0000

ros-noetic-cob-msgs (0.7.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-msgs (0.7.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-msgs (0.7.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-msgs (0.6.12-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-msgs (0.6.11-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-msgs (0.6.10-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-msgs (0.6.9-1buster) buster; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-msgs (0.6.8-1buster) buster; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-msgs (0.6.7-1buster) buster; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-cob-msgs (0.6.6-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-msgs (0.6.5-1buster) buster; urgency=high

  * Update package.xml
  * cleanup dashboard message
  * rework messages
  * remove unused messages
  * Contributors: Florian Weisshardt, ipa-fmw

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-msgs (0.6.4-1buster) buster; urgency=high

  * remove trailing whitespaces
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Aug 2015 22:00:00 -0000

ros-noetic-cob-msgs (0.6.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-noetic-cob-msgs (0.6.2-1buster) buster; urgency=high

  * add new msgs
  * Contributors: ipa-nhg

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-noetic-cob-msgs (0.6.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 23 Sep 2014 22:00:00 -0000

ros-noetic-cob-msgs (0.6.0-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 15 Sep 2014 22:00:00 -0000

ros-noetic-cob-msgs (0.5.5-1buster) buster; urgency=high

  * catkin_lint'ing
  * move EmergencyStopState.msg to cob_msgs
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 26 Aug 2014 22:00:00 -0000

ros-noetic-cob-msgs (0.5.4-1buster) buster; urgency=high

  * add maintainer
  * update changelog
  * introducing cob_msgs package in order to replace pr2_msgs
  * Contributors: Felix Messmer, Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-cob-msgs (0.5.3-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-noetic-cob-msgs (0.5.2-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 26 Mar 2014 23:00:00 -0000

ros-noetic-cob-msgs (0.5.1-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Aug 2013 02:14:35 +0200

ros-noetic-cob-msgs (0.5.0-1buster) buster; urgency=high

  * merge with ipa320
  * delete cob_msgs
  * moved messages


=== debian/control ===
Source: ros-noetic-cob-msgs
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-diagnostic-msgs, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-msgs, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: Messages for representing state information, such as battery information and emergency stop status.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
